# bucket Struct Reference

## Data Fields
struct filePath * | data
int | allocated
int | firstFree

## Detailed Description

Definition at line 19 of file hash.c.

## Field Documentation

int bucket::allocated

Definition at line 21 of file hash.c.

struct filePath* bucket::data`[read]`

Definition at line 20 of file hash.c.

int bucket::firstFree

Definition at line 22 of file hash.c.

The documentation for this struct was generated from the following file:

- python/hash.c